Bug 974593 - CreateException: Can't have a partition outside the disk!
CreateException: Can't have a partition outside the disk!
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:0fa7a26829443040bdd3bf4f6b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 10:08 EDT by Emmett Culley
Modified: 2015-02-17 10:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:34:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (55.86 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: backtrace (1.33 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: environ (760 bytes, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: ifcfg.log (1.52 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: lsblk_output (1.56 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: program.log (28.45 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: storage.log (63.92 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: syslog (69.40 KB, text/plain)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: anaconda-tb (1.52 MB, application/octet-stream)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details
File: packaging.log (1.16 MB, application/octet-stream)
2013-06-14 10:08 EDT, Emmett Culley
no flags Details

  None (edit)
Description Emmett Culley 2013-06-14 10:08:00 EDT
Description of problem:
Installing final tc3 into VM on fedora host booting netinstall from iso as cdrom.

I was in the custom partiton space.  It showed the previous instalation's partitions (created automatically by Fedora 19 Alpha).  It also showed that there was 993Kb in unused space.

So I was attempting to get that space back.  The only way to do that (it appeared) was to increase the 33GB allocated to root ("/").  There was no other obvious way to recover that space.

I am used to haveing full control of the partitioning of a new install.  Last installation of a functioing system was Fedore 17.  I skipped Fedora 18 because of the difficulty (imposibility of) partitioning the disk as I wanted.  I use Raid 1 for all partitions, including boot, then copy the MBR to the second bootable drive to insure I can boot whane a disk goes bad.

I couldn't do that with Fedora 18.  I hope to be able to do that with Fedora 19.

My assumption was that anaconda would not let me make the partiton bigger than is physically possible, and so adjust the size I entered.

After changing the size from 33.xx GB to 34.xx GB and clicking on update button the VM froze for some minutes, after which the report bug dialgo came up.

Please accept my vote to include an advanced disk setup space.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/geometry.py", line 55, in __init__
    self.__geometry = _ped.Geometry(self.device.getPedDevice(), start, length)
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1524, in _computeResize
    length=newLen)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1232, in _setTargetSize
    (constraint, geometry) = self._computeResize(self.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 605, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 400, in __init__
    self.device.targetSize = newsize
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1207, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1396, in _save_right_side
    self.__storage.resizeDevice(device, size)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2746, in on_apply_clicked
    self._save_right_side(self._current_selector)
CreateException: Can't have a partition outside the disk!

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2746, in on_apply_clicked
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1396, in _save_right_side
    self.__storage.resizeDevice(device, size)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1207, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 400, in __init__
    self.device.targetSize = newsize
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 605, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1232, in _setTargetSize
    (constraint, geometry) = self._computeResize(self.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1524, in _computeResize
    length=newLen)
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/parted/geometry.py", line 55, in __init__
    self.__geometry = _ped.Geometry(self.device.getPedDevice(), start, length)
CreateException: Can't have a partition outside the disk!
Comment 1 Emmett Culley 2013-06-14 10:08:06 EDT
Created attachment 761298 [details]
File: anaconda.log
Comment 2 Emmett Culley 2013-06-14 10:08:11 EDT
Created attachment 761299 [details]
File: backtrace
Comment 3 Emmett Culley 2013-06-14 10:08:18 EDT
Created attachment 761300 [details]
File: environ
Comment 4 Emmett Culley 2013-06-14 10:08:21 EDT
Created attachment 761301 [details]
File: ifcfg.log
Comment 5 Emmett Culley 2013-06-14 10:08:25 EDT
Created attachment 761302 [details]
File: lsblk_output
Comment 6 Emmett Culley 2013-06-14 10:08:28 EDT
Created attachment 761303 [details]
File: nmcli_dev_list
Comment 7 Emmett Culley 2013-06-14 10:08:33 EDT
Created attachment 761304 [details]
File: program.log
Comment 8 Emmett Culley 2013-06-14 10:08:36 EDT
Created attachment 761305 [details]
File: storage.log
Comment 9 Emmett Culley 2013-06-14 10:08:44 EDT
Created attachment 761306 [details]
File: syslog
Comment 10 Emmett Culley 2013-06-14 10:08:49 EDT
Created attachment 761307 [details]
File: anaconda-tb
Comment 11 Emmett Culley 2013-06-14 10:08:55 EDT
Created attachment 761308 [details]
File: packaging.log
Comment 12 Fedora End Of Life 2015-01-09 13:25:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:34:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.